Doomsday Engine - Bug #1133

Menu selector is tiny in Hell Revealed 2
2013-09-10 03:03 - lucasavd

Status: Closed Start date: 2013-09-10
Priority: Low % Done: 100%
Assignee: danij

Category: Defect

Target version: 1.13

Description

Menu selector appears too small on doomsday when playing Hell Revealed 2 pwad, when it is supposed to show just like it shows,
when you select the difficulty level.

Link of the mod: http://youfailit.net/pub/idgames/themes/hr/hr2final.zip

Labels: selector, hr2, hell revealed 2

Associated revisions

Revision cbad8a65 - 2013-12-22 00:42 - danij

Fixed|Menul|libcommon: Tiny menu cursor with some mods (e.g., Hell Revealed Il)

The size of the menu cursor is determined dynamically according to
the dimensions of the currently focused menu item.

Some mods prefer to use a single image for a menu page background
(typically, the M_DOOM patch) and replace all the M_NGAME (etc...)
patches with (perhaps tiny) images with no color information.

In this situation, the default menu cursor size should be at least
equal to the effective line height of the page.

IssuelD #1133

History

#1 - 2013-09-10 16:17 - danij
- Priority: 1 --> 5

#2 - 2013-10-18 20:31 - skyjake
- Tags set to Menu, Doom, Mod

- Target version deleted (1.12)

#3 - 2013-10-22 17:18 - skyjake
- Category set to Defect

- Priority changed from Normal to Low

#4 - 2013-12-22 00:51 - danij

- Status changed from New to Closed
- Assignee set to danij

- Target version setto 1.13

- % Done changed from 0 to 100
